%define upstream_name MKDoc-XML
%define upstream_version 0.75

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
License:    GPL or Artistic
Group:      Development/Perl
Summary:    The MKDoc XML Toolkit
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/MKDoc/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
MKDoc is a web content management system written in Perl which focuses on
standards compliance, accessibility and usability issues, and multi-lingual
websites.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/MKDoc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.750.0-7.mga10
+ Revision: 2199702
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.750.0-6.mga9
+ Revision: 1804474
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.750.0-5.mga8
+ Revision: 1495602
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.750.0-4.mga7
+ Revision: 1269263
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.750.0-3.mga6
+ Revision: 1029901
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.750.0-2.mga6
+ Revision: 968797
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 0.750.0-1.mga6
+ Revision: 855422
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.75-7.mga5
+ Revision: 746255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.75-6.mga5
+ Revision: 685299
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.75-5.mga4
+ Revision: 512718
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.75-4.mga3
+ Revision: 369331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.75-3.mga1
+ Revision: 32168
- mageia rebuild
- imported package perl-MKDoc-XML


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.75-3mdv2010.0
+ Revision: 430504
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.75-2mdv2009.0
+ Revision: 268575
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.75-1mdv2009.0
+ Revision: 213620
- import perl-MKDoc-XML


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.75-1mdv2009.0
- first mdv release
